# IO.Swagger - the C# library for the Reputation CRM API

Move your app forward with the Reputation CRM API  To get your `API key`, visit [Reputation CRM](https://reputationcrm.com/settings/index/Reputation-Builder)  Your API Key can be found in Settings -> Reputation Builder -> Reputation Builder -> API Tab   [Download API SDK](https://reputationcrm.com/developers/documentation/v2/downloads)  [API Explorer](https://reputationcrm.com/developers/documentation/v2/explorer/) 

This C# SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 2.0.3
- SDK version: 1.0.0
- Build date: 2018-12-18T05:00:16.040Z
- Build package: io.swagger.codegen.languages.CsharpDotNet2ClientCodegen

<a name="frameworks-supported"></a>
## Frameworks supported
- .NET 2.0

<a name="dependencies"></a>
## Dependencies
- Mono compiler
- Newtonsoft.Json.7.0.1
- RestSharp.Net2.1.1.11

Note: NuGet is downloaded by the mono compilation script and packages are installed with it. No dependency DLLs are bundled with this generator

<a name="installation"></a>
## Installation
Run the following command to generate the DLL
- [Mac/Linux] `/bin/sh compile-mono.sh`
- [Windows] TODO

Then include the DLL (under the `bin` folder) in the C# project, and use the namespaces:
```csharp
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;
```
<a name="getting-started"></a>
## Getting Started

```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class Example
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new CustomerApi();
            var companyid = companyid_example;  // string | Company ID
            var firstname = firstname_example;  // string | Customer First Name
            var lastname = lastname_example;  // string | Customer Last Name
            var sendtype = sendtype_example;  // string | Feedback / Review Requests Sending Method (1 = Send via Email, 2 = Send via SMS, 1,2 = Send via Email AND SMS) Allowed values: \"1\", \"2\", \"1,2\"  (default to 1)
            var email = email_example;  // string | Customer Email (optional) 
            var mobile = mobile_example;  // string | Customer Mobile Phone #: The Mobile Phone # must be formatted in its international version. Eg: +33647523335 (+33 = Country Code for France). No leading Zero on Mobile Phone # usually (NOTE: some countries might a leading zero). Here is an excellent script for mobile number formatting: https://github.com/jackocnr/intl-tel-input  (optional) 
            var address = address_example;  // string | Customer Postal Address (optional) 
            var zipcode = zipcode_example;  // string | Customer Zipcode (optional) 
            var city = city_example;  // string | Customer City (optional) 
            var state = state_example;  // string | Customer State / Province / Region (optional) 
            var country = country_example;  // string | Customer Country: has to be set to the name of the Country in its original language. Eg: Spain = EspaÃ±a. Download the sql file of all countries: https://reputationcrm.com/api/repcrm-api-docs/countries.txt  (optional) 
            var language = language_example;  // string | Customer Language (Language 2 letter ISO code: en, fr, es, it...). For a complete list of supported languages, please check: https://reputationaegis.com/en/features/supported-languages  (optional) 
            var notes = notes_example;  // string | Additional Customer Notes (optional) 

            try
            {
                // Create a Customer AND a Feedback / Review Request Sequence with Automatic Scheduling (No delay before sending the First Feedback / Review Request)
                string result = apiInstance.CreateCustomerAutomatic(companyid, firstname, lastname, sendtype, email, mobile, address, zipcode, city, state, country, language, notes);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling CustomerApi.CreateCustomerAutomatic: " + e.Message );
            }
        }
    }
}
```

<a name="documentation-for-api-endpoints"></a>
## Documentation for API Endpoints

All URIs are relative to *https://reputationcrm.com/v2*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CustomerApi* | [**CreateCustomerAutomatic**](docs/CustomerApi.md#createcustomerautomatic) | **POST** /createCustomerAutomatic | Create a Customer AND a Feedback / Review Request Sequence with Automatic Scheduling (No delay before sending the First Feedback / Review Request)
*CustomerApi* | [**CreateCustomerAutomaticWithDelayReviewRequest**](docs/CustomerApi.md#createcustomerautomaticwithdelayreviewrequest) | **POST** /createCustomerAutomaticWithDelayReviewRequest | Create a Customer AND a Feedback / Review Request Sequence with Automatic Scheduling (Set a Delay before sending the First Feedback / Review Request)
*CustomerApi* | [**CreateCustomerImmediateFirstReviewRequest**](docs/CustomerApi.md#createcustomerimmediatefirstreviewrequest) | **POST** /createCustomerImmediateFirstReviewRequest | Create a Customer AND Feedback / Review Requests
*CustomerApi* | [**CreateCustomerManualScheduleOneReviewRequest**](docs/CustomerApi.md#createcustomermanualscheduleonereviewrequest) | **POST** /createCustomerManualScheduleOneReviewRequest | Create a Customer AND a one Feedback / Review Request (Manual Scheduling)
*CustomerApi* | [**DeleteCustomer**](docs/CustomerApi.md#deletecustomer) | **DELETE** /deleteCustomer | Delete ONE Customer record
*CustomerApi* | [**GetAllCustomersBycompanyId**](docs/CustomerApi.md#getallcustomersbycompanyid) | **GET** /getAllCustomersBycompanyId | Get Information on ALL Customers of a Company / Location / Feedback Page
*CustomerApi* | [**GetCustomersWhoHaveNotYetSubmittedReview**](docs/CustomerApi.md#getcustomerswhohavenotyetsubmittedreview) | **GET** /getCustomersWhoHaveNotYetSubmittedReview | Get a list of Customers who have not yet submitted their Review / Feedback
*CustomerApi* | [**GetSingleCustomer**](docs/CustomerApi.md#getsinglecustomer) | **GET** /getSingleCustomer | Get Information of ONE Customer
*CustomerApi* | [**UpdateCustomer**](docs/CustomerApi.md#updatecustomer) | **PUT** /updateCustomer | Update the record of ONE Customer
*EmailSMSStatsApi* | [**GetEmailSmsSentCount**](docs/EmailSMSStatsApi.md#getemailsmssentcount) | **GET** /getEmailSmsSentCount | Email / SMS sent
*EmailSMSStatsApi* | [**GetEmailSmsSentLimit**](docs/EmailSMSStatsApi.md#getemailsmssentlimit) | **GET** /getEmailSmsSentLimit | Email / SMS Limit
*QueueApi* | [**DeleteQueueByCustomerId**](docs/QueueApi.md#deletequeuebycustomerid) | **DELETE** /deleteQueueByCustomerId | Delete requests of a customer
*QueueApi* | [**DeleteQueueBycompanyId**](docs/QueueApi.md#deletequeuebycompanyid) | **DELETE** /deleteQueueBycompanyId | Delete requests of a company
*QueueApi* | [**GetQueueBycompanyId**](docs/QueueApi.md#getqueuebycompanyid) | **GET** /getQueueBycompanyId | Get a customerâ€™s queue
*QueueApi* | [**GetSingleCustomerQueue**](docs/QueueApi.md#getsinglecustomerqueue) | **GET** /getQueueByCustomerId | Get a customerâ€™s queue
*RescheduleApi* | [**RescheduleCustomerAutomatic**](docs/RescheduleApi.md#reschedulecustomerautomatic) | **POST** /rescheduleCustomerAutomatic | Reschedule Customer (Automatic)
*RescheduleApi* | [**RescheduleCustomerImmediate**](docs/RescheduleApi.md#reschedulecustomerimmediate) | **POST** /rescheduleCustomerImmediate | Reschedule Customer (Send right away)
*RescheduleApi* | [**RescheduleManualOneReviewRequest**](docs/RescheduleApi.md#reschedulemanualonereviewrequest) | **POST** /rescheduleManualOneReviewRequest | Reschedule Customer (Manual Schedule)
*ReviewSitesApi* | [**GetAllReviewSitesByUserName**](docs/ReviewSitesApi.md#getallreviewsitesbyusername) | **GET** /getAllReviewSitesByUserName | Get all review sites of an account
*ReviewSitesApi* | [**GetAllReviewSitesBycompanyId**](docs/ReviewSitesApi.md#getallreviewsitesbycompanyid) | **GET** /getAllReviewSitesBycompanyId | Get all review sites of a company
*ReviewsApi* | [**GetCommentsonReview**](docs/ReviewsApi.md#getcommentsonreview) | **GET** /getCommentsonReview | Get review comments
*ReviewsApi* | [**GetReviewsByCompanyID**](docs/ReviewsApi.md#getreviewsbycompanyid) | **GET** /getReviewsByCompanyID | Get X last reviews less than X days old of a company
*ReviewsApi* | [**GetReviewsByCompanyIDAndReviewSite**](docs/ReviewsApi.md#getreviewsbycompanyidandreviewsite) | **GET** /getReviewsByCompanyIDAndReviewSite | Get X last reviews less than X days old of a review site of a company
*ReviewsApi* | [**GetReviewsByCompanyIDRatingAndReviewSite**](docs/ReviewsApi.md#getreviewsbycompanyidratingandreviewsite) | **GET** /getReviewsByCompanyIDRatingAndReviewSite | Get X last reviews that equal or over X stars of a review site of a company
*ReviewsApi* | [**GetReviewsByCompanyIdAndRating**](docs/ReviewsApi.md#getreviewsbycompanyidandrating) | **GET** /getReviewsByCompanyIdAndRating | Get X last reviews that equal or over X stars of a company
*ReviewsApi* | [**GetReviewsByUserName**](docs/ReviewsApi.md#getreviewsbyusername) | **GET** /getReviewsByUserName | Get X last reviews less than X days old of an account
*ReviewsApi* | [**GetReviewsByUserNameAndRating**](docs/ReviewsApi.md#getreviewsbyusernameandrating) | **GET** /getReviewsByUserNameAndRating | Get X last reviews that equal or over X stars of an account
*ReviewsApi* | [**GetReviewsByUserNameAndReviewSite**](docs/ReviewsApi.md#getreviewsbyusernameandreviewsite) | **GET** /getReviewsByUserNameAndReviewSite | Get X last reviews less than X days old of a review site of an account
*ReviewsApi* | [**GetReviewsByUserNameRatingAndReviewSite**](docs/ReviewsApi.md#getreviewsbyusernameratingandreviewsite) | **GET** /getReviewsByUserNameRatingAndReviewSite | Get X last reviews that equal or over X stars of a review site of an account
*ReviewsApi* | [**PostCommentOnReview**](docs/ReviewsApi.md#postcommentonreview) | **POST** /postCommentOnReview | Comment on a Feedback / Review
*ReviewsStatsApi* | [**GetNumberOfReviewsPostedInLastDaysByCompanyId**](docs/ReviewsStatsApi.md#getnumberofreviewspostedinlastdaysbycompanyid) | **GET** /getNumberOfReviewsPostedInLastDaysByCompanyId | Get total reviews received for each review site
*ReviewsStatsApi* | [**GetNumberOfReviewsRequiredToAchieve5StarByCompanyId**](docs/ReviewsStatsApi.md#getnumberofreviewsrequiredtoachieve5starbycompanyid) | **GET** /getNumberOfReviewsRequiredToAchieve5StarByCompanyId | Get for ALL Review Sites the number of 5-star Feedback / Reviews needed to achieve a 5-star Customer Experience 
*ReviewsStatsApi* | [**GetOverallRatingAndReviewCountForPlatformReviewsByCompanyId**](docs/ReviewsStatsApi.md#getoverallratingandreviewcountforplatformreviewsbycompanyid) | **GET** /getOverallRatingAndReviewCountForPlatformReviewsByCompanyId | Get The Overall Rating and Total Review Count of a Company / Location for platform collected reviews  
*ReviewsStatsApi* | [**GetOverallRatingForEachReviewSiteByCompanyId**](docs/ReviewsStatsApi.md#getoverallratingforeachreviewsitebycompanyid) | **GET** /getOverallRatingForEachReviewSiteByCompanyId | Get overall rating for each review site
*ReviewsStatsApi* | [**GetOverallRatingOfCompanyByCompanyId**](docs/ReviewsStatsApi.md#getoverallratingofcompanybycompanyid) | **GET** /getOverallRatingOfCompanyByCompanyId | Get The Overall Rating of a Company / Location / Feedback Page 
*ReviewsStatsApi* | [**GetOverallReputationChangeOfAllReviewSitesByCompanyId**](docs/ReviewsStatsApi.md#getoverallreputationchangeofallreviewsitesbycompanyid) | **GET** /getOverallReputationChangeOfAllReviewSitesByCompanyId | Get the Overall Reputation Increase / Decrease of ALL Review Sites 
*ReviewsStatsApi* | [**GetTotalReviewsReceivedForEachReviewSiteByCompanyId**](docs/ReviewsStatsApi.md#gettotalreviewsreceivedforeachreviewsitebycompanyid) | **GET** /getTotalReviewsReceivedForEachReviewSiteByCompanyId | Get total reviews received for each review site
*SentLogApi* | [**GetSentLogByCompanyId**](docs/SentLogApi.md#getsentlogbycompanyid) | **GET** /getSentLogByCompanyId | Get company's sent log
*SentLogApi* | [**GetSentLogByCustomerId**](docs/SentLogApi.md#getsentlogbycustomerid) | **GET** /getSentLogByCustomerId | Get a customerâ€™s sent log


<a name="documentation-for-models"></a>
## Documentation for Models

 - [IO.Swagger.Model.Comment](docs/Comment.md)
 - [IO.Swagger.Model.Customer](docs/Customer.md)
 - [IO.Swagger.Model.CustomerWhoHaveNotResponded](docs/CustomerWhoHaveNotResponded.md)
 - [IO.Swagger.Model.EmailSmsSentCount](docs/EmailSmsSentCount.md)
 - [IO.Swagger.Model.EmailSmsSentLimit](docs/EmailSmsSentLimit.md)
 - [IO.Swagger.Model.Error](docs/Error.md)
 - [IO.Swagger.Model.OverallCompanyRating](docs/OverallCompanyRating.md)
 - [IO.Swagger.Model.OverallRatingAndReviewCount](docs/OverallRatingAndReviewCount.md)
 - [IO.Swagger.Model.Queue](docs/Queue.md)
 - [IO.Swagger.Model.Review](docs/Review.md)
 - [IO.Swagger.Model.ReviewSites](docs/ReviewSites.md)
 - [IO.Swagger.Model.ReviewSitesRating](docs/ReviewSitesRating.md)
 - [IO.Swagger.Model.ReviewSitesReputationChange](docs/ReviewSitesReputationChange.md)
 - [IO.Swagger.Model.ReviewSitesReviewCount](docs/ReviewSitesReviewCount.md)
 - [IO.Swagger.Model.SentLog](docs/SentLog.md)


<a name="documentation-for-authorization"></a>
## Documentation for Authorization

<a name="api_key"></a>
### api_key

- **Type**: API key
- **API key parameter name**: key
- **Location**: HTTP header

