# IO.Swagger.Api.QueueApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**DeleteQueueByCustomerId**](QueueApi.md#deletequeuebycustomerid) | **DELETE** /deleteQueueByCustomerId | Delete requests of a customer
[**DeleteQueueBycompanyId**](QueueApi.md#deletequeuebycompanyid) | **DELETE** /deleteQueueBycompanyId | Delete requests of a company
[**GetQueueBycompanyId**](QueueApi.md#getqueuebycompanyid) | **GET** /getQueueBycompanyId | Get a customerâ€™s queue
[**GetSingleCustomerQueue**](QueueApi.md#getsinglecustomerqueue) | **GET** /getQueueByCustomerId | Get a customerâ€™s queue


<a name="deletequeuebycustomerid"></a>
# **DeleteQueueByCustomerId**
> void DeleteQueueByCustomerId (string customerid)

Delete requests of a customer

Delete requests of a customer

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class DeleteQueueByCustomerIdExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new QueueApi();
            var customerid = customerid_example;  // string | Customer ID

            try
            {
                // Delete requests of a customer
                apiInstance.DeleteQueueByCustomerId(customerid);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling QueueApi.DeleteQueueByCustomerId: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerid** | **string**| Customer ID | 

### Return type

void (empty response body)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="deletequeuebycompanyid"></a>
# **DeleteQueueBycompanyId**
> void DeleteQueueBycompanyId (string companyid)

Delete requests of a company

Delete requests of a company

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class DeleteQueueBycompanyIdExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new QueueApi();
            var companyid = companyid_example;  // string | Company ID

            try
            {
                // Delete requests of a company
                apiInstance.DeleteQueueBycompanyId(companyid);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling QueueApi.DeleteQueueBycompanyId: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 

### Return type

void (empty response body)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getqueuebycompanyid"></a>
# **GetQueueBycompanyId**
> List<Queue> GetQueueBycompanyId (string companyid)

Get a customerâ€™s queue

Get a customerâ€™s queue

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetQueueBycompanyIdExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new QueueApi();
            var companyid = companyid_example;  // string | Company ID

            try
            {
                // Get a customerâ€™s queue
                List&lt;Queue&gt; result = apiInstance.GetQueueBycompanyId(companyid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling QueueApi.GetQueueBycompanyId: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 

### Return type

[**List<Queue>**](Queue.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getsinglecustomerqueue"></a>
# **GetSingleCustomerQueue**
> List<Queue> GetSingleCustomerQueue (string customerid)

Get a customerâ€™s queue

Get a customerâ€™s queue

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetSingleCustomerQueueExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new QueueApi();
            var customerid = customerid_example;  // string | Customer ID

            try
            {
                // Get a customerâ€™s queue
                List&lt;Queue&gt; result = apiInstance.GetSingleCustomerQueue(customerid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling QueueApi.GetSingleCustomerQueue: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerid** | **string**| Customer ID | 

### Return type

[**List<Queue>**](Queue.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

