# IO.Swagger.Api.ReviewsApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetCommentsonReview**](ReviewsApi.md#getcommentsonreview) | **GET** /getCommentsonReview | Get review comments
[**GetReviewsByCompanyID**](ReviewsApi.md#getreviewsbycompanyid) | **GET** /getReviewsByCompanyID | Get X last reviews less than X days old of a company
[**GetReviewsByCompanyIDAndReviewSite**](ReviewsApi.md#getreviewsbycompanyidandreviewsite) | **GET** /getReviewsByCompanyIDAndReviewSite | Get X last reviews less than X days old of a review site of a company
[**GetReviewsByCompanyIDRatingAndReviewSite**](ReviewsApi.md#getreviewsbycompanyidratingandreviewsite) | **GET** /getReviewsByCompanyIDRatingAndReviewSite | Get X last reviews that equal or over X stars of a review site of a company
[**GetReviewsByCompanyIdAndRating**](ReviewsApi.md#getreviewsbycompanyidandrating) | **GET** /getReviewsByCompanyIdAndRating | Get X last reviews that equal or over X stars of a company
[**GetReviewsByUserName**](ReviewsApi.md#getreviewsbyusername) | **GET** /getReviewsByUserName | Get X last reviews less than X days old of an account
[**GetReviewsByUserNameAndRating**](ReviewsApi.md#getreviewsbyusernameandrating) | **GET** /getReviewsByUserNameAndRating | Get X last reviews that equal or over X stars of an account
[**GetReviewsByUserNameAndReviewSite**](ReviewsApi.md#getreviewsbyusernameandreviewsite) | **GET** /getReviewsByUserNameAndReviewSite | Get X last reviews less than X days old of a review site of an account
[**GetReviewsByUserNameRatingAndReviewSite**](ReviewsApi.md#getreviewsbyusernameratingandreviewsite) | **GET** /getReviewsByUserNameRatingAndReviewSite | Get X last reviews that equal or over X stars of a review site of an account
[**PostCommentOnReview**](ReviewsApi.md#postcommentonreview) | **POST** /postCommentOnReview | Comment on a Feedback / Review


<a name="getcommentsonreview"></a>
# **GetCommentsonReview**
> List<Comment> GetCommentsonReview (string companyid, string reviewid)

Get review comments

Get review comments

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetCommentsonReviewExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsApi();
            var companyid = companyid_example;  // string | Company ID (optional) 
            var reviewid = reviewid_example;  // string | Review ID (optional) 

            try
            {
                // Get review comments
                List&lt;Comment&gt; result = apiInstance.GetCommentsonReview(companyid, reviewid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsApi.GetCommentsonReview: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | [optional] 
 **reviewid** | **string**| Review ID | [optional] 

### Return type

[**List<Comment>**](Comment.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreviewsbycompanyid"></a>
# **GetReviewsByCompanyID**
> List<Review> GetReviewsByCompanyID (string companyid, string howManyReviews, string lastHowManyDays)

Get X last reviews less than X days old of a company

Get X last reviews less than X days old (For example, last 100 reviews that are less than 365 days old)

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetReviewsByCompanyIDExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsApi();
            var companyid = companyid_example;  // string | Company ID
            var howManyReviews = howManyReviews_example;  // string | How many reviews
            var lastHowManyDays = lastHowManyDays_example;  // string | How many days back

            try
            {
                // Get X last reviews less than X days old of a company
                List&lt;Review&gt; result = apiInstance.GetReviewsByCompanyID(companyid, howManyReviews, lastHowManyDays);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsApi.GetReviewsByCompanyID: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 
 **howManyReviews** | **string**| How many reviews | 
 **lastHowManyDays** | **string**| How many days back | 

### Return type

[**List<Review>**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreviewsbycompanyidandreviewsite"></a>
# **GetReviewsByCompanyIDAndReviewSite**
> List<Review> GetReviewsByCompanyIDAndReviewSite (string companyid, string howManyReviews, string lastHowManyDays, string reviewsSite)

Get X last reviews less than X days old of a review site of a company

Get X last reviews less than X days old of a review site (For example, Google reviewsâ€¦)

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetReviewsByCompanyIDAndReviewSiteExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsApi();
            var companyid = companyid_example;  // string | Company ID
            var howManyReviews = howManyReviews_example;  // string | How many reviews
            var lastHowManyDays = lastHowManyDays_example;  // string | How many days back
            var reviewsSite = reviewsSite_example;  // string | Review site name

            try
            {
                // Get X last reviews less than X days old of a review site of a company
                List&lt;Review&gt; result = apiInstance.GetReviewsByCompanyIDAndReviewSite(companyid, howManyReviews, lastHowManyDays, reviewsSite);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsApi.GetReviewsByCompanyIDAndReviewSite: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 
 **howManyReviews** | **string**| How many reviews | 
 **lastHowManyDays** | **string**| How many days back | 
 **reviewsSite** | **string**| Review site name | 

### Return type

[**List<Review>**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreviewsbycompanyidratingandreviewsite"></a>
# **GetReviewsByCompanyIDRatingAndReviewSite**
> List<Review> GetReviewsByCompanyIDRatingAndReviewSite (string companyid, string howManyReviews, string minimumRatings, string reviewsSite)

Get X last reviews that equal or over X stars of a review site of a company

Get X last reviews that equal or over X stars of a review site (For example, Google reviewsâ€¦)

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetReviewsByCompanyIDRatingAndReviewSiteExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsApi();
            var companyid = companyid_example;  // string | Company ID
            var howManyReviews = howManyReviews_example;  // string | How many reviews
            var minimumRatings = minimumRatings_example;  // string | Minimum review rating (reviews that are equal or over minimumRatings stars)
            var reviewsSite = reviewsSite_example;  // string | Review site name

            try
            {
                // Get X last reviews that equal or over X stars of a review site of a company
                List&lt;Review&gt; result = apiInstance.GetReviewsByCompanyIDRatingAndReviewSite(companyid, howManyReviews, minimumRatings, reviewsSite);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsApi.GetReviewsByCompanyIDRatingAndReviewSite: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 
 **howManyReviews** | **string**| How many reviews | 
 **minimumRatings** | **string**| Minimum review rating (reviews that are equal or over minimumRatings stars) | 
 **reviewsSite** | **string**| Review site name | 

### Return type

[**List<Review>**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreviewsbycompanyidandrating"></a>
# **GetReviewsByCompanyIdAndRating**
> List<Review> GetReviewsByCompanyIdAndRating (string companyid, string howManyReviews, string lastHowManyDays, string minimumRatings, string maximumRatings)

Get X last reviews that equal or over X stars of a company

Get X last reviews that between X stars (For example, last 50 reviews between 2 to 5 stars)

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetReviewsByCompanyIdAndRatingExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsApi();
            var companyid = companyid_example;  // string | Company ID
            var howManyReviews = howManyReviews_example;  // string | How many reviews
            var lastHowManyDays = lastHowManyDays_example;  // string | How many days back
            var minimumRatings = minimumRatings_example;  // string | Minimum review rating (reviews that are equal or over minimumRatings stars)
            var maximumRatings = maximumRatings_example;  // string | Maximum review rating

            try
            {
                // Get X last reviews that equal or over X stars of a company
                List&lt;Review&gt; result = apiInstance.GetReviewsByCompanyIdAndRating(companyid, howManyReviews, lastHowManyDays, minimumRatings, maximumRatings);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsApi.GetReviewsByCompanyIdAndRating: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 
 **howManyReviews** | **string**| How many reviews | 
 **lastHowManyDays** | **string**| How many days back | 
 **minimumRatings** | **string**| Minimum review rating (reviews that are equal or over minimumRatings stars) | 
 **maximumRatings** | **string**| Maximum review rating | 

### Return type

[**List<Review>**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreviewsbyusername"></a>
# **GetReviewsByUserName**
> List<Review> GetReviewsByUserName (string username, string howManyReviews, string lastHowManyDays, string email, string companyid)

Get X last reviews less than X days old of an account

Get X last reviews less than X days old (For example, last 100 reviews that are less than 365 days old)

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetReviewsByUserNameExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsApi();
            var username = username_example;  // string | Reviewer Name
            var howManyReviews = howManyReviews_example;  // string | How many reviews
            var lastHowManyDays = lastHowManyDays_example;  // string | How many days back
            var email = email_example;  // string | Reviewer email address (optional) 
            var companyid = companyid_example;  // string | Company ID (optional) 

            try
            {
                // Get X last reviews less than X days old of an account
                List&lt;Review&gt; result = apiInstance.GetReviewsByUserName(username, howManyReviews, lastHowManyDays, email, companyid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsApi.GetReviewsByUserName: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **string**| Reviewer Name | 
 **howManyReviews** | **string**| How many reviews | 
 **lastHowManyDays** | **string**| How many days back | 
 **email** | **string**| Reviewer email address | [optional] 
 **companyid** | **string**| Company ID | [optional] 

### Return type

[**List<Review>**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreviewsbyusernameandrating"></a>
# **GetReviewsByUserNameAndRating**
> List<Review> GetReviewsByUserNameAndRating (string username, string howManyReviews, string lastHowManyDays, string minimumRatings, string email, string companyid)

Get X last reviews that equal or over X stars of an account

Get X last reviews that equal or over X stars (For example, last 50 reviews that are equal or over 4 stars)

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetReviewsByUserNameAndRatingExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsApi();
            var username = username_example;  // string | Reviewer Name
            var howManyReviews = howManyReviews_example;  // string | How many reviews
            var lastHowManyDays = lastHowManyDays_example;  // string | How many days back
            var minimumRatings = minimumRatings_example;  // string | Minimum review rating (reviews that are equal or over minimumRatings stars)
            var email = email_example;  // string | Reviewer email address (optional) 
            var companyid = companyid_example;  // string | Company ID (optional) 

            try
            {
                // Get X last reviews that equal or over X stars of an account
                List&lt;Review&gt; result = apiInstance.GetReviewsByUserNameAndRating(username, howManyReviews, lastHowManyDays, minimumRatings, email, companyid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsApi.GetReviewsByUserNameAndRating: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **string**| Reviewer Name | 
 **howManyReviews** | **string**| How many reviews | 
 **lastHowManyDays** | **string**| How many days back | 
 **minimumRatings** | **string**| Minimum review rating (reviews that are equal or over minimumRatings stars) | 
 **email** | **string**| Reviewer email address | [optional] 
 **companyid** | **string**| Company ID | [optional] 

### Return type

[**List<Review>**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreviewsbyusernameandreviewsite"></a>
# **GetReviewsByUserNameAndReviewSite**
> List<Review> GetReviewsByUserNameAndReviewSite (string username, string howManyReviews, string lastHowManyDays, string reviewsSite, string email, string companyid)

Get X last reviews less than X days old of a review site of an account

Get X last reviews less than X days old of a review site (For Example, Google reviewsâ€¦)

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetReviewsByUserNameAndReviewSiteExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsApi();
            var username = username_example;  // string | Reviewer Name
            var howManyReviews = howManyReviews_example;  // string | How many reviews
            var lastHowManyDays = lastHowManyDays_example;  // string | How many days back
            var reviewsSite = reviewsSite_example;  // string | Review site name
            var email = email_example;  // string | Reviewer email address (optional) 
            var companyid = companyid_example;  // string | Company ID (optional) 

            try
            {
                // Get X last reviews less than X days old of a review site of an account
                List&lt;Review&gt; result = apiInstance.GetReviewsByUserNameAndReviewSite(username, howManyReviews, lastHowManyDays, reviewsSite, email, companyid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsApi.GetReviewsByUserNameAndReviewSite: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **string**| Reviewer Name | 
 **howManyReviews** | **string**| How many reviews | 
 **lastHowManyDays** | **string**| How many days back | 
 **reviewsSite** | **string**| Review site name | 
 **email** | **string**| Reviewer email address | [optional] 
 **companyid** | **string**| Company ID | [optional] 

### Return type

[**List<Review>**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getreviewsbyusernameratingandreviewsite"></a>
# **GetReviewsByUserNameRatingAndReviewSite**
> List<Review> GetReviewsByUserNameRatingAndReviewSite (string username, string howManyReviews, string minimumRatings, string reviewsSite, string email, string companyid)

Get X last reviews that equal or over X stars of a review site of an account

Get X last reviews that equal or over X stars of a review site (For example, Google reviewsâ€¦)

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetReviewsByUserNameRatingAndReviewSiteExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsApi();
            var username = username_example;  // string | Reviewer Name
            var howManyReviews = howManyReviews_example;  // string | How many reviews
            var minimumRatings = minimumRatings_example;  // string | Minimum review rating (reviews that are equal or over minimumRatings stars)
            var reviewsSite = reviewsSite_example;  // string | Review site name
            var email = email_example;  // string | Reviewer email address (optional) 
            var companyid = companyid_example;  // string | Company ID (optional) 

            try
            {
                // Get X last reviews that equal or over X stars of a review site of an account
                List&lt;Review&gt; result = apiInstance.GetReviewsByUserNameRatingAndReviewSite(username, howManyReviews, minimumRatings, reviewsSite, email, companyid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsApi.GetReviewsByUserNameRatingAndReviewSite: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **username** | **string**| Reviewer Name | 
 **howManyReviews** | **string**| How many reviews | 
 **minimumRatings** | **string**| Minimum review rating (reviews that are equal or over minimumRatings stars) | 
 **reviewsSite** | **string**| Review site name | 
 **email** | **string**| Reviewer email address | [optional] 
 **companyid** | **string**| Company ID | [optional] 

### Return type

[**List<Review>**](Review.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="postcommentonreview"></a>
# **PostCommentOnReview**
> void PostCommentOnReview (string reviewid, string commenttext)

Comment on a Feedback / Review

This API call posts a Comment on a Feedback / Review. When posted, the Platform sends an Email to the Commenter / Reviewer with a copy of the posted Comment. NOTE: The Moderation Team receives a copy of the Email sent to the Commenter / Reviewer  The API call has the same effect as using the Reputation Control Center (URL: https://reputationcrm.com/reputation-control), locating in the datatable the Feedback / Review that will be commented, and clicking on the 'Comment on the Platform' button to leave a Comment  Please refer https://reputationcrm.com/api/repcrm-api-img/CommentOnReview.jpg for more information 

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class PostCommentOnReviewExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new ReviewsApi();
            var reviewid = reviewid_example;  // string | Review ID
            var commenttext = commenttext_example;  // string | Comment Text 

            try
            {
                // Comment on a Feedback / Review
                apiInstance.PostCommentOnReview(reviewid, commenttext);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling ReviewsApi.PostCommentOnReview: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **reviewid** | **string**| Review ID | 
 **commenttext** | **string**| Comment Text  | 

### Return type

void (empty response body)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

