# IO.Swagger.Api.SentLogApi

All URIs are relative to *https://reputationcrm.com/v2*

Method | HTTP request | Description
------------- | ------------- | -------------
[**GetSentLogByCompanyId**](SentLogApi.md#getsentlogbycompanyid) | **GET** /getSentLogByCompanyId | Get company&#39;s sent log
[**GetSentLogByCustomerId**](SentLogApi.md#getsentlogbycustomerid) | **GET** /getSentLogByCustomerId | Get a customerâ€™s sent log


<a name="getsentlogbycompanyid"></a>
# **GetSentLogByCompanyId**
> List<SentLog> GetSentLogByCompanyId (string companyid)

Get company's sent log

Get company's sent log

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetSentLogByCompanyIdExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new SentLogApi();
            var companyid = companyid_example;  // string | Company ID

            try
            {
                // Get company's sent log
                List&lt;SentLog&gt; result = apiInstance.GetSentLogByCompanyId(companyid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling SentLogApi.GetSentLogByCompanyId: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **companyid** | **string**| Company ID | 

### Return type

[**List<SentLog>**](SentLog.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

<a name="getsentlogbycustomerid"></a>
# **GetSentLogByCustomerId**
> List<SentLog> GetSentLogByCustomerId (string customerid)

Get a customerâ€™s sent log

Get a customerâ€™s sent log

### Example
```csharp
using System;
using System.Diagnostics;
using IO.Swagger.Api;
using IO.Swagger.Client;
using IO.Swagger.Model;

namespace Example
{
    public class GetSentLogByCustomerIdExample
    {
        public void main()
        {
            
            // Configure API key authorization: api_key
            Configuration.Default.ApiKey.Add("key", "YOUR_API_KEY");
            // Uncomment below to setup prefix (e.g. Bearer) for API key, if needed
            // Configuration.Default.ApiKeyPrefix.Add("key", "Bearer");

            var apiInstance = new SentLogApi();
            var customerid = customerid_example;  // string | Customer ID

            try
            {
                // Get a customerâ€™s sent log
                List&lt;SentLog&gt; result = apiInstance.GetSentLogByCustomerId(customerid);
                Debug.WriteLine(result);
            }
            catch (Exception e)
            {
                Debug.Print("Exception when calling SentLogApi.GetSentLogByCustomerId: " + e.Message );
            }
        }
    }
}
```

### Parameters

Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **customerid** | **string**| Customer ID | 

### Return type

[**List<SentLog>**](SentLog.md)

### Authorization

[api_key](../README.md#api_key)

### HTTP request headers

 - **Content-Type**: application/x-www-form-urlencoded
 - **Accept**: application/json, application/xml

[[Back to top]](#) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to Model list]](../README.md#documentation-for-models) [[Back to README]](../README.md)

