using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class Comment {
    /// <summary>
    /// Comment ID
    /// </summary>
    /// <value>Comment ID</value>
    [DataMember(Name="commentID", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "commentID")]
    public string CommentID { get; set; }

    /// <summary>
    /// Review ID
    /// </summary>
    /// <value>Review ID</value>
    [DataMember(Name="reviewID", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "reviewID")]
    public string ReviewID { get; set; }

    /// <summary>
    /// User ID
    /// </summary>
    /// <value>User ID</value>
    [DataMember(Name="userId", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "userId")]
    public string UserId { get; set; }

    /// <summary>
    /// Company ID
    /// </summary>
    /// <value>Company ID</value>
    [DataMember(Name="companyID", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "companyID")]
    public string CompanyID { get; set; }

    /// <summary>
    /// Comment Text
    /// </summary>
    /// <value>Comment Text</value>
    [DataMember(Name="commentText", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "commentText")]
    public string CommentText { get; set; }

    /// <summary>
    /// Comment Date
    /// </summary>
    /// <value>Comment Date</value>
    [DataMember(Name="commentDate", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "commentDate")]
    public string CommentDate { get; set; }

    /// <summary>
    /// User Name
    /// </summary>
    /// <value>User Name</value>
    [DataMember(Name="usersName", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "usersName")]
    public string UsersName { get; set; }

    /// <summary>
    /// User Photo
    /// </summary>
    /// <value>User Photo</value>
    [DataMember(Name="userPhoto", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "userPhoto")]
    public string UserPhoto { get; set; }

    /// <summary>
    /// User Position
    /// </summary>
    /// <value>User Position</value>
    [DataMember(Name="userPosition", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "userPosition")]
    public string UserPosition { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class Comment {\n");
      sb.Append("  CommentID: ").Append(CommentID).Append("\n");
      sb.Append("  ReviewID: ").Append(ReviewID).Append("\n");
      sb.Append("  UserId: ").Append(UserId).Append("\n");
      sb.Append("  CompanyID: ").Append(CompanyID).Append("\n");
      sb.Append("  CommentText: ").Append(CommentText).Append("\n");
      sb.Append("  CommentDate: ").Append(CommentDate).Append("\n");
      sb.Append("  UsersName: ").Append(UsersName).Append("\n");
      sb.Append("  UserPhoto: ").Append(UserPhoto).Append("\n");
      sb.Append("  UserPosition: ").Append(UserPosition).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
