using System;
using System.Text;
using System.Collections;
using System.Collections.Generic;
using System.Runtime.Serialization;
using Newtonsoft.Json;

namespace IO.Swagger.Model {

  /// <summary>
  /// 
  /// </summary>
  [DataContract]
  public class Review {
    /// <summary>
    /// Review ID
    /// </summary>
    /// <value>Review ID</value>
    [DataMember(Name="reviewID", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "reviewID")]
    public string ReviewID { get; set; }

    /// <summary>
    /// Company ID
    /// </summary>
    /// <value>Company ID</value>
    [DataMember(Name="companyID", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "companyID")]
    public string CompanyID { get; set; }

    /// <summary>
    /// Review Date
    /// </summary>
    /// <value>Review Date</value>
    [DataMember(Name="reviewDate", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "reviewDate")]
    public string ReviewDate { get; set; }

    /// <summary>
    /// Review Found On
    /// </summary>
    /// <value>Review Found On</value>
    [DataMember(Name="reviewFoundOn", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "reviewFoundOn")]
    public string ReviewFoundOn { get; set; }

    /// <summary>
    /// Company Weblinks Url
    /// </summary>
    /// <value>Company Weblinks Url</value>
    [DataMember(Name="CompanyWeblinksUrl", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "CompanyWeblinksUrl")]
    public string CompanyWeblinksUrl { get; set; }

    /// <summary>
    /// Customer Id
    /// </summary>
    /// <value>Customer Id</value>
    [DataMember(Name="customerid", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "customerid")]
    public string Customerid { get; set; }

    /// <summary>
    /// Review Found On Logo
    /// </summary>
    /// <value>Review Found On Logo</value>
    [DataMember(Name="reviewFoundOnLogo", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "reviewFoundOnLogo")]
    public string ReviewFoundOnLogo { get; set; }

    /// <summary>
    /// Reviewer Name
    /// </summary>
    /// <value>Reviewer Name</value>
    [DataMember(Name="reviewerName", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "reviewerName")]
    public string ReviewerName { get; set; }

    /// <summary>
    /// Reviewer Profile Url
    /// </summary>
    /// <value>Reviewer Profile Url</value>
    [DataMember(Name="reviewerProfileUrl", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "reviewerProfileUrl")]
    public string ReviewerProfileUrl { get; set; }

    /// <summary>
    /// Reviewer Image
    /// </summary>
    /// <value>Reviewer Image</value>
    [DataMember(Name="reviewerImage", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "reviewerImage")]
    public string ReviewerImage { get; set; }

    /// <summary>
    /// Rating
    /// </summary>
    /// <value>Rating</value>
    [DataMember(Name="rating", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "rating")]
    public string Rating { get; set; }

    /// <summary>
    /// Rating Image
    /// </summary>
    /// <value>Rating Image</value>
    [DataMember(Name="ratingImage", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "ratingImage")]
    public string RatingImage { get; set; }

    /// <summary>
    /// Review Title
    /// </summary>
    /// <value>Review Title</value>
    [DataMember(Name="reviewTitle", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "reviewTitle")]
    public string ReviewTitle { get; set; }

    /// <summary>
    /// Review Text
    /// </summary>
    /// <value>Review Text</value>
    [DataMember(Name="reviewText", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "reviewText")]
    public string ReviewText { get; set; }

    /// <summary>
    /// Review Publishing Date
    /// </summary>
    /// <value>Review Publishing Date</value>
    [DataMember(Name="reviewPublishingDate", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "reviewPublishingDate")]
    public string ReviewPublishingDate { get; set; }

    /// <summary>
    /// Total comments on this review
    /// </summary>
    /// <value>Total comments on this review</value>
    [DataMember(Name="CommentsNumber", EmitDefaultValue=false)]
    [JsonProperty(PropertyName = "CommentsNumber")]
    public string CommentsNumber { get; set; }


    /// <summary>
    /// Get the string presentation of the object
    /// </summary>
    /// <returns>String presentation of the object</returns>
    public override string ToString()  {
      var sb = new StringBuilder();
      sb.Append("class Review {\n");
      sb.Append("  ReviewID: ").Append(ReviewID).Append("\n");
      sb.Append("  CompanyID: ").Append(CompanyID).Append("\n");
      sb.Append("  ReviewDate: ").Append(ReviewDate).Append("\n");
      sb.Append("  ReviewFoundOn: ").Append(ReviewFoundOn).Append("\n");
      sb.Append("  CompanyWeblinksUrl: ").Append(CompanyWeblinksUrl).Append("\n");
      sb.Append("  Customerid: ").Append(Customerid).Append("\n");
      sb.Append("  ReviewFoundOnLogo: ").Append(ReviewFoundOnLogo).Append("\n");
      sb.Append("  ReviewerName: ").Append(ReviewerName).Append("\n");
      sb.Append("  ReviewerProfileUrl: ").Append(ReviewerProfileUrl).Append("\n");
      sb.Append("  ReviewerImage: ").Append(ReviewerImage).Append("\n");
      sb.Append("  Rating: ").Append(Rating).Append("\n");
      sb.Append("  RatingImage: ").Append(RatingImage).Append("\n");
      sb.Append("  ReviewTitle: ").Append(ReviewTitle).Append("\n");
      sb.Append("  ReviewText: ").Append(ReviewText).Append("\n");
      sb.Append("  ReviewPublishingDate: ").Append(ReviewPublishingDate).Append("\n");
      sb.Append("  CommentsNumber: ").Append(CommentsNumber).Append("\n");
      sb.Append("}\n");
      return sb.ToString();
    }

    /// <summary>
    /// Get the JSON string presentation of the object
    /// </summary>
    /// <returns>JSON string presentation of the object</returns>
    public string ToJson() {
      return JsonConvert.SerializeObject(this, Formatting.Indented);
    }

}
}
